using System;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int p = 0;
            string[] str = Console.ReadLine().Split();
            int N = int.Parse(str[0]);
            int K = int.Parse(str[1]);
            str = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                if (int.Parse(str[i]) == K)
                {
                    p = i + 1;
                    i = N;
                }
            }
            Console.WriteLine(str[p % N]);
        }
    }
}